<?php 
/**
Plugin Name: WP AdCenter
Version: 1.5
Plugin URI: http://wpadcenter.com
Description: Advertising management plugin for WordPress
Author: Kooc Media Ltd.
Author URI: http://kooc.co.uk
**/

//**** Require functions and display zone files ****//
require_once('functions.php');
require_once('adzone_display.php');
error_reporting(E_ALL);
ini_set('display_errors','off');
$pluginUrl = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));

	
function menu_function()
{
	// Create Menu
   	wp_register_style($handle = 'admin', $src = plugins_url('css/admin.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');
	wp_register_style($handle = 'tooltip', $src = plugins_url('css/tooltips.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');
	wp_enqueue_style('admin');
    wp_enqueue_style('tooltip');

	define('wpAdCenterPluginURL',plugin_dir_url( __FILE__ ).'js/');
	wp_enqueue_script('jquery.js'); //Default Wordpress Jquery
	
	wp_register_script('jquery.validate.js', wpAdCenterPluginURL . 'jquery.validate.js');
	wp_enqueue_script('jquery.validate.js');
	wp_register_script('jquery.ui.datepicker.js', wpAdCenterPluginURL . 'jquery.ui.datepicker.js');
	wp_enqueue_script('jquery.ui.datepicker.js');
	wp_register_script('valid.js', wpAdCenterPluginURL . 'valid.js');
	wp_enqueue_script('valid.js');
	wp_register_script('jquery.tipTip.minified.js', wpAdCenterPluginURL . 'jquery.tipTip.minified.js');
	
	wp_enqueue_script('jquery.tipTip.minified.js');
	//wp_register_script('jquery-ui-1.7.2.custom.min.js', wpAdCenterPluginURL . 'jquery-ui-1.7.2.custom.min.js');
	//wp_enqueue_script('jquery-ui-1.7.2.custom.min.js');
	wp_enqueue_script('jquery-ui-core');
	
	wp_register_script('date.js', wpAdCenterPluginURL . 'date.js');
	wp_enqueue_script('date.js');
	
	wp_register_script('highcharts-latest.js', wpAdCenterPluginURL . 'highcharts-latest.js');
	wp_enqueue_script('highcharts-latest.js');
	wp_register_script('exporting.js', wpAdCenterPluginURL . 'exporting.js');
	wp_enqueue_script('exporting.js');

	/* Register our plugin page */
	add_menu_page("WP Ad Center", "WP Ad Center", "administrator", "setting" , "wp_setting", WP_PLUGIN_URL."/wp-adcenter/images/wp-icon.png");
	add_submenu_page("setting", "Settings", "Settings", "administrator", "setting", "wp_setting");
	add_submenu_page("setting", "AdZones", "Ad Zones", "administrator", "adzones", "wp_adzones");
	add_submenu_page("setting", "Packages", "Packages", "administrator", "packages", "wp_package");
	add_submenu_page("setting", "Campaigns", "Campaigns", "administrator", "campaigns", "wp_campaign");
	add_submenu_page("setting", "Banners", "Banners", "administrator", "banners", "wp_banner");
	add_submenu_page("setting", "Advertisers", "Advertisers", "administrator", "advertisement", "wp_advertiser");
	add_submenu_page("setting", "Advertiser Status", "Advertiser Status", "administrator", "status", "wp_status");
	add_submenu_page("setting", "Statistics", "Statistics", "administrator", "statistics", "wp_statistics");
	add_submenu_page("setting", "Statistics", "Statistics", "subscriber", "stats", "wp_statistics");
}

add_action('admin_menu', 'menu_function');

///////////////FUNCTIONS FOR MENU'S START HERE ////////////
function wp_setting()
{
	
	if ( isset($_POST['add']) ) 
	{  
		$arr = array('email'  => stripslashes($_POST['paypalEmail']),'currency' => $_POST['currency']);
		
		$inserted = addSetting($arr);
		if($inserted)
		echo '<div class="updated fade" style="color:red"><p><b>Data Updated successfully.</b></p></div>'; 
		
	}
	include('setting.php');
}
function wp_advertiser()
{	
	global $wpdb;
	
	
	if ( isset($_POST['add']) ) 
	{  
	
		$arr = array('name'  => stripslashes($_POST['advertiser_name']),'email' => $_POST['advertiser_mail']);
		
		$already_exist = addChkAdvertiser($arr);
		
		if(!$already_exist)
		{	
			echo '<div class="updated fade" style="color:red"><p><b>Data saved successfully.</b></p></div>'; 
			echo "<script>window.location='?page=advertisement'</script>";
		}
		else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Advertiser Name Already Exist.</b></p></div>';
		}
	}
	
	if ( isset($_POST['edit']) ) 
	{  
		$arr = array('name'  => stripslashes($_POST['advertiser_nameupd']),'email' => $_POST['advertiser_mailupd'],'id'=>$_REQUEST['id']);
		$already_exist = updChkAdvertiser($arr);
		
		if(!$already_exist)
		{	
		 	echo '<div class="updated fade" style="color:red"><p><b>Data Updated successfully.</b></p></div>';
			echo "<script>window.location='?page=advertisement'</script>";
		}
		else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Advertiser Name Already Exist.</b></p></div>';
		}
	}
	include('advertisers.php');
}


function wp_campaign()
{
	global $wpdb;

	if ( isset($_POST['add']) ) 
	{  
		$arr = array('name'  => stripslashes($_POST['campaignName']),'advertiserId' => $_POST['advertiserList'],'sDate' => $_POST['campaignStartDate'],'eDate' => $_POST['campaignEndDate']);
		
		$already_exist = addChkCampaign($arr);
		
		if(!$already_exist)
		{	
		 	echo '<div class="updated fade" style="color:red"><p><b>Data saved successfully.</b></p></div>'; 
			echo "<script>window.location='?page=campaigns'</script>";
		}

		else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Campaign Name Already Exist.</b></p></div>';
		}
	}
	
	
	if ( isset($_POST['edit'])) 
	{  
	$arr = array('name'  => stripslashes($_POST['campaignNameUpd']),'advertiserId' => $_POST['advertiserListUpd'],'sDate' => $_POST['campaignStartDateUpd'],'eDate' => $_POST['campaignEndDateUpd'],'id'=>$_REQUEST['id']);
	
		$already_exist = updChkCampaign($arr);
		
		if(!$already_exist)
		{	
		 	echo '<div class="updated fade" style="color:red"><p><b>Data Updated successfully.</b></p></div>';
			echo "<script>window.location='?page=campaigns'</script>";
		}
		else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Campaign Name Already Exist.</b></p></div>';
		}
	}
	
	
	if ($_REQUEST['action'] =='pause')
	{	 
		  $pause = campaignPause($_REQUEST['id']);

		  if($pause)
		  {
		   echo '<div class="updated fade" style="color:red"><p><b>Campaign Shifted To Paused Campaign.</b></p></div>'; 
		   echo "<script>window.location='?page=campaigns'</script>";
		   
		  }
  	}
	
	
	if ($_REQUEST['action'] =='run')
	{	 
		  $run = campaignRun($_REQUEST['id']);

		  if($run)
		  {
		   echo '<div class="updated fade" style="color:red"><p><b>Campaign Shifted To Running Campaign.</b></p></div>'; 
		   echo "<script>window.location='?page=campaigns'</script>";
		   
		  }
	}
	
	include('campaigns.php');
}
function wp_banner()
{ 
																		 
	if ( isset($_POST['add']) ) 
		{  
		if( !empty( $_FILES['file']['name'] ) || !empty( $_POST['url'] ) || !empty( $_POST['bannerHtml'] ))
		{
		
		if( !empty( $_FILES['file']['name'] ))
			{
				require_once(ABSPATH . "wp-admin" . '/includes/file.php');
				$img = wp_handle_upload( $_FILES['file'], array( 'test_form' => false ) );
					
				$filename = $img['file'];
				$wp_filetype = wp_check_filetype(basename($filename), null );
				$attachment = array(
					'post_mime_type' => $wp_filetype['type'],
					'post_title' => preg_replace('/\.[^.]+$/', '', basename($filename)),
					'post_content' => '',
					'post_status' => 'inherit'
				);
				$attach_id = wp_insert_attachment( $attachment, $filename );
			}

					
		$arr = array('name'  => stripslashes($_POST['bannerName']),'url' => $_POST['bannerLink'],'target' => $_POST['target'],'file' =>$img,'banner_url' => $_POST['url'],'html' => $_POST['bannerHtml'],'aid' => $_POST['advertisersListing'],'cid' => $_POST['campaignsListing'],'zones'=>$_POST['zones']);
		
			
		$already_exist = addBanner($arr);
		
		if(!$already_exist)
		{	
		 	echo '<div class="updated fade" style="color:red"><p><b>New Banner Added.</b></p></div>'; 
			echo "<script>window.location='?page=banners'</script>";
		}

		else echo "Error";
	}
	else
	{
	 echo '<div class="updated fade" style="color:red"><p><b>Choose A Banner Type.</b></p></div>'; 
	 echo "<script>window.location=?page=banners</script>";
	 }
	}
	
	
if ( isset($_POST['edit']) ) 
	{
	 

		if( !empty( $_FILES['fileUpd']['name'] ))
		{
			require_once(ABSPATH . "wp-admin" . '/includes/file.php');
			$img1 = wp_handle_upload( $_FILES['fileUpd'], array( 'test_form' => false ) );
				
			$filename = $img['fileUpd'];
			$wp_filetype = wp_check_filetype(basename($filename), null );
			$attachment = array(
				'post_mime_type' => $wp_filetype['type'],
				'post_title' => preg_replace('/\.[^.]+$/', '', basename($filename)),
				'post_content' => '',
				'post_status' => 'inherit'
			);
			$attach_id = wp_insert_attachment( $attachment, $filename );
		}

				
		$arr = array('name'  => stripslashes($_POST['bannerNameUpd']),'url' => $_POST['bannerLinkUpd'],'target' => 
		$_POST['targetUpd'],'file' =>$img1,'banner_url' => $_POST['urlUpd'],'html' => $_POST['bannerHtmlUpd'],'id'=>$_REQUEST['id'],'zones'=>$_POST['zonesUpd']);
	
			
		$already_exist = updateBanner($arr);
		
		if(!$already_exist)
		{	
		 	echo '<div class="updated fade" style="color:red"><p><b>Banner Updated.</b></p></div>'; 
			echo "<script>window.location='?page=banners'</script>";
		}

		else echo "Error";
	}
	
	
	include('banners.php');
}

function wp_adzones()
{

global $wpdb;
	
	if ( isset($_POST['add']) ) 
	{   
		$arr = array('name'  => stripslashes($_POST['zoneName']),'size' => $_POST['BannerSize'],'desc'=>$_POST['zoneDesc'],'horizontal'=>$_POST['horizontal'],'vertical'=>$_POST['vertical'],'custwdth'=>$_POST['custwdth'],'custhght'=>$_POST['custhght'],'signupurl'=>$_POST['signup'],'showadvert'=>$_POST['showadvert']);
		
		$already_exist = addChkZones($arr);
		
		if(!$already_exist)
		{	
		 	echo '<div class="updated fade" style="color:red"><p><b>Data saved successfully.</b></p></div>'; 
			echo "<script>window.location='?page=adzones'</script>";
		}
		else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Zone Name Already Exist.</b></p></div>';
		}
	}
	
	
	
	if ( isset($_POST['edit']) ) 
	{  	
	
	$arr = array('name'  => stripslashes($_POST['zoneNameUpd']),'size' => $_POST['BannerSizeUpd'],'desc'=>$_POST['zoneDescUpd'],'horizontal'=>$_POST['horizontalUpd'],'vertical'=>$_POST['verticalUpd'],'custwdth'=>$_POST['custwdthUpd'],'custhght'=>$_POST['custhghtUpd'],'signupurl'=>$_POST['signupUpd'],'showadvert'=>$_POST['showadvertUpd'],'id'=>$_REQUEST['id']);
		$already_exist = updChkZones($arr);
		
		if(!$already_exist)
		{	
		 	echo '<div class="updated fade" style="color:red"><p><b>Data Updated successfully.</b></p></div>';
			echo "<script>window.location='?page=adzones'</script>";
		}
		else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Zone Name Already Exist.</b></p></div>';
		}
	}
	
	include('adzones.php');
}
function wp_package()
{	
	global $wpdb;
	
	if ( isset($_POST['add']) ) 
	{  
	if($_REQUEST['packCostMon']!='' || $_REQUEST['packCostImp']!='')
		{
			$arr = array('name'  => stripslashes($_POST['packageName']),'adzone_id' => $_POST['adZones'],'desc'=>$_POST['description'],'monthcost'=>$_POST['packCostMon'],'duration'=>$_POST['duration'],'impcost'=>$_POST['packCostImp'],'impression'=>$_POST['impression']);
			
			addPackages($arr);
	
			echo '<div class="updated fade" style="color:red"><p><b>Data saved successfully.</b></p></div>';
			echo "<script>window.location='?page=packages'</script>";
	    }
	else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Please Select One Of The Package.</b></p></div>'; 
			echo "<script>window.location=?page=packages</script>";
		}
}
	
	
	if ( isset($_POST['edit']) )
	{  
		if($_REQUEST['packCostMonUpd']!='' || $_REQUEST['packCostImpUpd']!='')
		{
		
	$arr = array('name'  => stripslashes($_POST['packageNameUpd']),'adzone_id' => $_POST['adZonesUpd'],'desc'=>$_POST['descriptionUpd'],'monthcost'=>$_POST['packCostMonUpd'],'duration'=>$_POST['durationUpd'],'impcost'=>$_POST['packCostImpUpd'],'impression'=>$_POST['impressionUpd'],'id'=>$_REQUEST['id']);

			updPackages($arr);
	
		 	echo '<div class="updated fade" style="color:red"><p><b>Data Updated successfully.</b></p></div>';
			echo "<script>window.location='?page=packages'</script>";
	}
	else
		{
			echo '<div class="updated fade" style="color:red"><p><b>Please Select One Of The Package.</b></p></div>'; 
			echo "<script>window.location=?page=packages</script>";
		}
		
	}
	
	include('packages.php');
}

function wp_statistics()
{
	include('statistics.php');
}

function wp_status()
{
	if ($_REQUEST['action'] =='change')
	{	  
		  global $wpdb;global $current_user;
		  $check = checkStatus($_REQUEST['id']);

		  if($check[0]->approved==0)
		  {
		  	  $change = changeStatus($_REQUEST['id']);
		  
			  $getInfo =  userInfo($_REQUEST['id']);
			  $advertiserName = userAdvertiserName();

			  
			  if(in_array($getInfo[0]->name,$advertiserName)){  for($i=0;$i<100;$i++) {$rand[]=$i;} $rVal =  array_rand($rand);$advName = $getInfo[0]->name.$rVal;} else {$advName = $getInfo[0]->name;}
			  $packName = getPackage($getInfo[0]->package_id);
			  
			  if(isset($packName[0]->duration))
			  {
			  	if($packName[0]->duration=='daily')
				{
					$edate = date('Y-m-d',strtotime("$date +1 day"));
				}
				else if($packName[0]->duration=='weekly')
				{
					$edate = date('Y-m-d',strtotime("$date +7 day"));
				}
				else if($packName[0]->duration=='monthly')
				{
					$edate = date('Y-m-d',strtotime("$date +1 month"));
				}
				else if($packName[0]->duration=='quarterly')
				{
					$edate = date('Y-m-d',strtotime("$date +3 month"));
				}
				else if($packName[0]->duration=='half yearly')
				{
					$edate = date('Y-m-d',strtotime("$date +6 month"));
				}
				else if($packName[0]->duration=='yearly')
				{
					$edate = date('Y-m-d',strtotime("$date +1 year"));
				}
				
			  }
			  
			  
			  $zoneName = getZone($getInfo[0]->selected_zone);
	//		  echo "<pre>";print_r($zoneName[0]->id);echo "<pre>";die;
			  
			  $headers = "MIME-Version: 1.0" . "\r\n";
			  $headers .= "Content-type:text/html;charset=iso-8859-1" . "\r\n";
			  $to = $getInfo[0]->email;
			  $subject = "Ad Confirmation";
			  $msg = "Hi ".$getInfo[0]->name.",<br><br> Thanks for placing your order for ".$packName[0]->name." on ".get_option('blogname').", <br><br> You can login ".get_admin_url()." and view live statistics - impressions and clicks for your order.";
                            if(in_array($getInfo[0]->name,$advertiserName))
                             {
                                   $msg.="<br><br>Thanks,<br><br>".get_option('blogname');
                             }
                       else{
                                   $msg.="<br><br> Username name : ".$getInfo[0]->name. "<br> 
                                   passWord :  ".$getInfo[0]->password."<br><br>Thanks,<br><br>".get_option('blogname');
                           }


			  $mail = mail($to,$subject,$msg,$headers);
			  
			  $insAdv = insertAdvertiser($advName,$getInfo[0]->email);
			  $advId = lastAdvertiser();
			
			  $insCam = insertCampaign($advId[0]->id,$advName,$getInfo[0]->user_id,$edate);
			  $camId = lastCampaign();
			  
			  $insBanner = insertBanner($camId[0]->advertiser_id,$camId[0]->id,$advName,$getInfo[0]->uploaded_files,$getInfo[0]->banner_size,$getInfo[0]->website_url,$getInfo[0]->selected_zone);
			  $banId = lastBanner();
			  

			  $insId = insertIds($banId[0]->advertiser_id,$banId[0]->campaign_id,$banId[0]->id,$zoneName[0]->id);
		  }

		   echo '<div class="updated fade" style="color:red"><p><b>User Status Changed Successfully</b></p></div>'; 
		   echo "<script>window.location='?page=status'</script>";
	}
	include('clientStatus.php');
}
///////////////FOR MENU END//////////////////
									

/*
 * FUNCTION FOR  DISPLAY AD ZONE
*/
function displayAdzone($id)
{	
	global $wpdb, $current_user;
	
	$res = totalZones( "WHERE id = '".$id."' LIMIT 1" );
		 
	$ads = $wpdb->get_results("SELECT ban.*, ad_ban.adzone_id, camp.status FROM " . $wpdb->prefix . "banner ban,  " . $wpdb->prefix . "adv_banner ad_ban," . $wpdb->prefix . "campaign camp 
							   WHERE 
ad_ban.banner_id = ban.id AND   ad_ban.adzone_id = '".$id."' AND   camp.advertiser_id = ban.advertiser_id AND  camp.id = ad_ban.campaign_id AND   camp.status = 1   ORDER BY RAND()");
	
	$size = explode( 'x', $res[0]->size );

	if( ($res[0]->horizontal==1) and ($res[0]->vertical==1) )
	{	
		$con = displaySingle($id,$res,$ads,$size);
	}
	else
	{ 
		$con = displayMultiple($id,$res,$ads,$size);
	}
	return $con;
}

function displayAdzoneFunction($atribute,$content=null) //Function For The Creation Of Short Code
{

   	extract( shortcode_atts( array('id' => 1), $atribute ) ); return displayAdzone( esc_attr($id) );
}

function displayFormFunction()
{	global $current_user;
	if ( (isset($_REQUEST['addUser']))&&($_REQUEST['insert']==''))  
	{
		if($_FILES[file][name])
		{
			if ((($_FILES["file"]["type"] == "image/gif")|| ($_FILES["file"]["type"] == "image/jpeg") ||($_FILES["file"]["type"] == "image/jpg")|| ($_FILES["file"]["type"] == "image/png") || ($_FILES["file"]["type"] == "application/x-shockwave-flash")))
			{	
				$actsize = getimagesize($_FILES['file']['tmp_name']);
				$newsize  = explode('x',$_REQUEST['fileSize']);

				if(($newsize[0]>=$actsize[0])&&($newsize[1]>=$actsize[1]))
				{	
						if(!$current_user->ID){
					       $username = $_REQUEST['userName'];
					          $email = $_REQUEST['userMail'];
					$random_password = wp_generate_password(12,fake);
							 $status = wp_create_user($username,$random_password,$email);
							 
					if(is_wp_error($status))
					{
						echo '<div class="updated fade" style="color:red; text-align:center;"><p> Either Username Or Email Id Already Exists. Please Try Another One.</p></div>';
					}
					else 
					{
						$getId = getNewUserCreated();
						require_once(ABSPATH . "wp-admin" . '/includes/file.php');
						$img = wp_handle_upload( $_FILES['file'], array( 'test_form' => false ) );
							
						$filename = $img['file'];
						$wp_filetype = wp_check_filetype(basename($filename), null );
						$attachment = array(
							'post_mime_type' => $wp_filetype['type'],
							'post_title' => preg_replace('/\.[^.]+$/', '', basename($filename)),
							'post_content' => '',
							'post_status' => 'inherit'
						);
						$attach_id = wp_insert_attachment( $attachment, $filename );
	
						$arr = array('userId'  => $getId,'zone_id' => $_POST['zone'],'bannerSize'=>$_POST['fileSize'],'name'=>$_POST['userName'],'pswd'=>$random_password,'email'=>$_POST['userMail'],'webUrl'=>$_POST['userWeburl'],'alt'=>$_POST['userAltText'],'price'=>$_POST['userPrice'],'file'=>$img);
						
						$insert = insertRecord($arr);
						if($insert)
						{
							$parameter = array('insert'=>$_REQUEST['userPrice']);
							$compurl = add_query_arg($parameter, $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
							?>
							<script type="text/javascript">window.location='<?php echo "http://"."$compurl";?>'</script>
					<?php	//	header("Location:http://".$compurl);
						}
					}
					
					}
					
					else{
					
					
					require_once(ABSPATH . "wp-admin" . '/includes/file.php');
						$img = wp_handle_upload( $_FILES['file'], array( 'test_form' => false ) );
							
						$filename = $img['file'];
						$wp_filetype = wp_check_filetype(basename($filename), null );
						$attachment = array(
							'post_mime_type' => $wp_filetype['type'],
							'post_title' => preg_replace('/\.[^.]+$/', '', basename($filename)),
							'post_content' => '',
							'post_status' => 'inherit'
						);
						$attach_id = wp_insert_attachment( $attachment, $filename );
						$getId = $current_user->ID;
						$name = $current_user->user_login;
						$email = $current_user->user_email;
	
	
						$arr = array('userId'  => $getId,'zone_id' => $_POST['zone'],'bannerSize'=>$_POST['fileSize'],'name'=>$name,'email'=>$email,'webUrl'=>$_POST['userWeburl'],'alt'=>$_POST['userAltText'],'price'=>$_POST['userPrice'],'file'=>$img);
						
						$insert = insertRecord($arr);
						if($insert)
						{
							$parameter = array('insert'=>$_REQUEST['userPrice']);
							$compurl = add_query_arg($parameter, $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
							?>
							<script type="text/javascript">window.location='<?php echo "http://"."$compurl";?>'</script>
					<?php	//	header("Location:http://".$compurl);
						}
					
					
					
					
					
					}
				}
				else
				{
					echo '<div class="updated fade" style="color:red; text-align:center;"><p>Please use a valid '.$_REQUEST['fileSize'].' banner image</p></div>';
				}
		}			
		else
		{
		 echo '<div class="updated fade" style="color:red; text-align:center;"><p>Invalid Type of image</p></div>';
		}
	}
	}
	include('userForm.php');
}

// Function For Redirecting To The Link Url

function clickOnBanner()
{	
	if ( isset($_GET['move_to']) ){ require_once('redirect.php');}
}


function showCampaignName()
{	
?>
<script type="text/javascript">
var imgURL = "../wp-content/plugins/wp-adcenter/images/";

	function showCampaign(id)
	{	
	document.getElementById('imgloader').innerHTML="<img src="+imgURL+"/wpt-loading-icon.gif>loading...";

		if (window.XMLHttpRequest)
		{// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}
		else
		{// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange=function()
		{	document.getElementById('imgloader').innerHTML="";
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				document.getElementById("CampaignDiv").innerHTML=xmlhttp.responseText;
			}
		}
		xmlhttp.open("GET","../wp-content/plugins/wp-adcenter/getcampaigns.php?id="+id,true);
		xmlhttp.send();
	}
	
	function showCampaignUpd(id)
	{ 	document.getElementById('imgloader').innerHTML="<img src="+imgURL+"/wpt-loading-icon.gif>loading...";
		if (window.XMLHttpRequest)
		{// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}
		else
		{// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange=function()
		{	
		document.getElementById('imgloader').innerHTML="";
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				document.getElementById("CampaignDivUpd").innerHTML=xmlhttp.responseText;
			}
		}
		xmlhttp.open("GET","../wp-content/plugins/wp-adcenter/getcampaigns.php?id="+id+"&step=1",true);
		xmlhttp.send();
	}

function Delete(id,val,trid)
{

if(confirm('Warning : Deletion of Record will also delete data associated with it.Do you want to proceed?'))
{
var resURL = "../wp-content/plugins/wp-adcenter/delete.php";
var imgURL = "../wp-content/plugins/wp-adcenter/images/";

document.getElementById('loader').innerHTML="<img src="+imgURL+"/wpt-loading-icon.gif>loading...";

jQuery.ajax(
  {
   type: "POST",
   url: resURL,
   data:'id='+id+'&val='+val,
   
  success:function(msg)
   {	
		document.getElementById('loader').innerHTML = "";
		  
  		if(msg=='deleted')
		{
		document.getElementById('deleted').innerHTML = "Advertiser Deleted Successfully";
		jQuery('#'+trid).remove();
		}
		
		else if(msg=='campdeleted')
		{
		document.getElementById('deleted').innerHTML = "Campaign Deleted Successfully";
		jQuery('#'+trid).remove();
		}
		else if(msg=='bannerdeleted')
		{
		document.getElementById('deleted').innerHTML = "Banner Deleted Successfully";
		jQuery('#'+trid).remove();
		}
		else if(msg=='zonedeleted')
		{
		document.getElementById('deleted').innerHTML = "Zone Deleted Successfully";
		jQuery('#'+trid).remove();
		}
		else if(msg=='packagedeleted')
		{
		document.getElementById('deleted').innerHTML = "Package Deleted Successfully";
		jQuery('#'+trid).remove();
		}
		else if(msg=='userdeleted')
		{
		document.getElementById('deleted').innerHTML = "User Deleted Successfully";
		jQuery('#'+trid).remove();
		}
   }
  });
  }

}

</script>
<?php
}


function createtables()
{   
	global $wpdb;

	$table_advertisers = $wpdb->prefix . "advertiser";          ///////////      Advertiser Table  ///////////// 
	if($wpdb->get_var("show tables like '$table_advertisers'") != $table_advertisers) {
	
	$sql_advertisers = "CREATE TABLE " . $table_advertisers . " (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
	    name varchar(200) NOT NULL,
	    email varchar(200) NOT NULL,
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_advertisers); }
	
	
	$table_setting = $wpdb->prefix . "adsetting";          ///////////      Setting Table  ///////////// 
	if($wpdb->get_var("show tables like '$table_setting'") != $table_setting) {
	
	$sql_setting = "CREATE TABLE " . $table_setting . " (
		id int(11) DEFAULT  NULL,
	    emailPaypal varchar(200) DEFAULT NULL,
	    currency varchar(200) DEFAULT NULL,
	    PRIMARY KEY (`id`));";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_setting); }
	
	$table_campaign = $wpdb->prefix . "campaign";          ///////////      Campaign table  /////////////
	if($wpdb->get_var("show tables like '$table_campaign'") != $table_campaign) {
	
	$sql_campaigns = "CREATE TABLE " . $table_campaign . " (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
	    advertiser_id mediumint(9) NOT NULL,
	    name varchar(200) NOT NULL,
		start_date date NOT NULL,
	    end_date date NOT NULL,
		status varchar(50) NOT NULL,
		user_id int(11) DEFAULT NULL,
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_campaigns); }
	
	
	$table_banner = $wpdb->prefix . "banner";          ///////////      Banner table  /////////////
	if($wpdb->get_var("show tables like '$table_banner'") != $table_banner) {
	
	$sql_banner = "CREATE TABLE " . $table_banner . " (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
	    advertiser_id mediumint(9) NOT NULL,
	    campaign_id mediumint(9) NOT NULL,
		name varchar(200) NOT NULL,
		file varchar(300) NOT NULL,
		ext_file varchar(300) NOT NULL,
		size varchar(100) NOT NULL,
		html text NOT NULL,
		url text NOT NULL,
		target varchar(50) NOT NULL,
		adzone varchar(200),
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_banner); }
	
	
	$table_zone = $wpdb->prefix . "adzone";          			///////////      Adzone table  /////////////
	if($wpdb->get_var("show tables like '$table_zone'") != $table_zone) {
	
	$sql_zones = "CREATE TABLE " . $table_zone . " (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
	    name varchar(200) NOT NULL,
	    size varchar(100) NOT NULL,
		description text NOT NULL,
		horizontal varchar(50) NOT NULL,
	    vertical varchar(50) NOT NULL,
		custom int(11) NOT NULL,
		showsignuplink int(11) NOT NULL,                 
        signuplink text, 
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_zones); }
	
	if($wpdb->get_var("show tables like '$table_zone'") == $table_zone) {
	
	$sql_zones_alter = "CREATE TABLE " . $table_zone . " (
		showsignuplink int(11) NOT NULL,                 
        signuplink text
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_zones_alter); }
	
	
	$table_showbanner = $wpdb->prefix . "adv_banner";          ///////////      Ad Banner table  /////////////
	if($wpdb->get_var("show tables like '$table_showbanner'") != $table_showbanner) {
	
	$sql_showbanner = "CREATE TABLE " . $table_showbanner . " (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
	    advertiser_id mediumint(9) NOT NULL,
		campaign_id mediumint(9) NOT NULL,
		banner_id mediumint(9) NOT NULL,
		adzone_id mediumint(9) NOT NULL,
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_showbanner); }
	
	$table_package = $wpdb->prefix ."adpackage";          ///////////      Ad Package table  /////////////
	if($wpdb->get_var("show tables like '$table_package'") != $table_package) {
	
	$sql_package = "CREATE TABLE " .$table_package . " (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
	    name varchar(255) NOT NULL,
		adzone_id mediumint(9) NOT NULL,
		description text,
		m_cost varchar(255),
		duration varchar(255),
		i_cost varchar(255),
		impressions varchar(255),
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_package); }
	
	
	
	$table_stats = $wpdb->prefix ."adstats";          ///////////      Stats table  /////////////
	if($wpdb->get_var("show tables like '$table_stats'") == $table_stats)
	{
	$wpdb->query("drop table $table_stats ");
	}
	if($wpdb->get_var("show tables like '$table_stats'") != $table_stats) {
	
	$sql_stats = "CREATE TABLE " .$table_stats . " (
		id int(11) NOT NULL AUTO_INCREMENT,
	    advertiser_id int(11) DEFAULT NULL,
		campaign_id int(11) DEFAULT NULL,
		banner_id int(11) DEFAULT NULL,
		   `date` date DEFAULT NULL,                              
              `clicks` int(11) DEFAULT NULL,                         
              `impressions` int(11) DEFAULT NULL,  
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_stats); }
	
	
	$table_aduserzones = $wpdb->prefix ."aduserzones";          ///////////      Aduserzones table  /////////////
	if($wpdb->get_var("show tables like '$table_aduserzones'") != $table_aduserzones) {
	
	$sql_aduserzones = "CREATE TABLE " .$table_aduserzones . " (
		id int(11) NOT NULL AUTO_INCREMENT,
	    user_id int(11) DEFAULT NULL,
		selected_zone varchar(255) DEFAULT NULL,
		banner_size varchar(255) DEFAULT NULL,
		name varchar(255) DEFAULT NULL,
		password varchar(255) DEFAULT NULL,
		email varchar(255) DEFAULT NULL,
		package_id int(11) DEFAULT NULL,
		uploaded_files varchar(255) DEFAULT NULL,
		website_url varchar(255) DEFAULT NULL,
		alt_text varchar(255) DEFAULT NULL,
		approved int(11) DEFAULT NULL,
	    UNIQUE KEY id (id)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql_aduserzones ); }

}

// This function loads JQuery in our theme
function loadJqueryForTheme() {
    
    global $pluginUrl;
	wp_register_script($handle = 'validjs', $src = plugins_url('js/valid.js', __FILE__), $deps = array(), $ver = '1.5.0', $media = 'all');
	wp_register_script($handle = 'validatejs', $src = plugins_url('js/jquery.validate.js', __FILE__), $deps = array(), $ver = '1.5.0', $media = 'all');
    
	wp_enqueue_script( 'validatejs');
	wp_enqueue_script( 'validjs');
	checkFinished();
	impressionEndDate();

}    



function loadWidgets() {
    
	register_widget('ADWidget');
}

class ADWidget extends WP_Widget {
    function ADWidget() {
        //Constructor
        parent::WP_Widget(false, $name = 'WP Adcenter', array('description' => 'Widget For AdCenter Plugin.'));
    }
	
	
    function widget($args, $instance) {
        // outputs the content of the widget
        extract( $args );
        $category = (is_numeric($instance['category']) ? (int)$instance['category'] : '');
        $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
       
        echo $before_widget;
        if ( !empty( $title ) ) { echo $before_title . $title . $after_title; };
         if ( $category )
			{if( function_exists( 'displayAdzone' ) )    echo displayAdzone( $category );}
			
		/* After widget (defined by themes). */
		echo $after_widget;
    }
    function update($new_instance, $old_instance) {
        //update and save the widget
        return $new_instance;
    }
    function form($instance) {
        //widgetform in backend
		global $wpdb;$totalZones = totalZones('ORDER BY name ASC');
		
        $category = esc_attr($instance['category']);
        $title = strip_tags($instance['title']);
       // Get the existing categories and build a simple select dropdown for the user.
        $categories = $totalZones;
        $cat_options = array();
        $cat_options[] = '<option value="BLANK">Select one...</option>';
        for($i=0;$i<count($categories);$i++) {
            $selected = $category === $categories[$i]->id ? ' selected="selected"' : '';
            $cat_options[] = '<option value="' . $categories[$i]->id .'"' . $selected . '>' . $categories[$i]->name . '</option>';
        }
        ?>
          <p>
              <label for="<?php echo $this->get_field_id('title'); ?>">Title: </label>
              <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" /></p>
            <p>
                <label for="<?php echo $this->get_field_id('category'); ?>">
                    <?php _e('Select Ad Zone:'); ?>
                </label>
                <select id="<?php echo $this->get_field_id('category'); ?>" class="widefat" name="<?php echo $this->get_field_name('category'); ?>">
                    <?php echo implode('', $cat_options); ?>
                </select>
            </p>
            
            <?php }
}
        



add_action('wp_loaded','clickOnBanner');
register_activation_hook( __FILE__, 'createtables');
add_action('admin_head', 'showCampaignName');
add_shortcode('displayAdzone', 'displayAdzoneFunction'); 

add_shortcode('Ad', 'displayFormFunction'); 

add_action('init', 'loadJqueryForTheme');

add_action( 'widgets_init', 'loadWidgets' );

?>
<?php  include('images/social.png');?>